import axios from "@/utils/axios";
// 新系统专利数据库新接口
export default {
  /**
   * 新增报告
   */
  addReportProject(data) {
    return axios.post("/xiaoshi/reportProject/addReportProject", data);
  },
  /**
   * 查询报告 
   */
  queryReportProject(data) {
    return axios.post("/xiaoshi/reportProject/queryReportProject", data);
  },
  /**
   * 删除报告 
   */
  deleteReportProject(data) {
    return axios.post("/xiaoshi/reportProject/deleteReportProject", data);
  },
  /**
   * 编辑报告 
   */
  updateReportProject(data) {
    return axios.post("/xiaoshi/reportProject/updateReportProject", data);
  },
  /**
   * 分组查询报告 
   */
  groupReportProject(data) {
    return axios.post("/xiaoshi/reportProject/groupReportProject", data);
  },
  /**
   * 报告审核任务 
   */
  addReportOpenAuditTask(data) {
    return axios.post("/xiaoshi/projectTask/addReportOpenAuditTask", data);
  },

  /**
   * 回避设计报告部分
   */
  /**
   * 查询回避设计报告 ?????
   */
  getAvoidDesign(data) {
    return axios.post("/xiaoshi/avoidDesign/getAvoidDesign", data);
  },
  /**
   * 保存回避设计方案
   */
  addAvoidDesign(data) {
    return axios.post("/xiaoshi/avoidDesign/addAvoidDesign", data);
  },
  /**
   * 查询权要
   */
  getPatentRight(params) {
    return axios.get("/xiaoshi/feature/getPatentRight", { params });
  },
  /**
   * 拆分特征
   */
  spiltFeature(data) {
    return axios.post("/xiaoshi/feature/spiltFeature", data);
  },
  /**
   * 拆分特征
   */
  saveBatchFeature(data) {
    return axios.post("/xiaoshi/feature/saveBatchFeature", data);
  },
  /**
   * 查询拆分特征详情
   */
  getSpiltFeature(data) {
    return axios.post("/xiaoshi/feature/getFeatrues", data);
  },

  /**
   * 侵权分析部分
   */
  /**
   * 编辑或保存产品信息
   */
  addProductMessage(data) {
    return axios.post("/xiaoshi/tort/addProductMessage", data);
  },
  /**
   * 查询产品信息
   */
  getProductMessage(params) {
    return axios.get("/xiaoshi/tort/getProductMessage", {params});
  },
  /**
   * 保存侵权对比结果
   */
  addTortCompareRecord(data) {
    return axios.post("/xiaoshi/tort/addTortCompareRecord", data);
  },
  /**
   * 查询侵权对比结果
   */
  getTortCompareRecord(data) {
    return axios.post("/xiaoshi/tort/getTortCompareRecord", data);
  },
  /**
   * 添加侵权报告协同任务
   */
  addTortTask(data) {
    return axios.post("/xiaoshi/tort/addTortTask", data);
  },
  /**
   * 查詢侵权报告协同任务对比结果
   */
  getTortTaskResult(params) {
    return axios.get("/xiaoshi/tort/getTortTaskResult", {params});
  },
  /**
   * 根据任务id查专利号
   */
  getPatentNoByTaskId(params) {
    return axios.get("/xiaoshi/projectTask/getPatentNoByTaskId", {params});
  },
  /**
   * 保存侵权报告协同任务对比结果(协同人处理结果保存)
   */
  addTortTaskResult(data) {
    return axios.post("/xiaoshi/tort/addTortTaskResult", data);
  },
  /**
   * 查询侵权报告协同任务对比结果（协同人处理结果）
   */
  getAllTortTaskResult(params) {
    return axios.get("/xiaoshi/tort/getAllTortTaskResult", {params});
  },
  /**
   * 查询侵权报告协同任务确认结果（确认协同结果）
   */
  getTortFinalResult(params) {
    return axios.get("/xiaoshi/tort/getTortFinalResult", {params});
  },
  /**
   * 侵权报告协同任务确认结果的保存（确认协同结果保存）
   */
  addFinalTortResult(data) {
    return axios.post("/xiaoshi/tort/addFinalTortResult", data);
  },
  /**
   * FTO报告对比任务查询对比结果
   */
  getFTOCompareRecord(data) {
    return axios.post("/xiaoshi/fto/getFTOCompareRecord", data);
  },
  /**
   * FTO报告对比任务保存对比结果
   */
  addFTOCompareRecord(data) {
    return axios.post("/xiaoshi/fto/addFTOCompareRecord", data);
  },
  /**
   * FTO报告添加协同任务
   */
  addFTOAssItTask(data) {
    return axios.post("/xiaoshi/fto/addFTOAssitTask", data);
  },
  /**
   * FTO报告协同任务对比结果保存
   */
  addFTOAssItTaskResult(data) {
    return axios.post("/xiaoshi/fto/addFTOAssitTaskResult", data);
  },
  /**
   * FTO报告协同任务对比结果处理查询
   */
  getFTOAssItResult(params) {
    return axios.get("/xiaoshi/fto/getFTOAssitResult", {params});
  },
  /**
   * FTO报告协同任务确认结果查询
   */
  getFTOFinalResult(params) {
    return axios.get("/xiaoshi/fto/getFTOFinalResult", {params});
  },
  /**
   * FTO报告协同任务确认结果保存
   */
  addFinalAssItResult(data) {
    return axios.post("/xiaoshi/fto/addFinalAssitResult", data);
  },
  /**
   * 根据code码查询信息
   */
  getTaskByCode(params) {
    return axios.get("/xiaoshi/outSiders/getTaskByCode", {params});
  },

  /**
   * FTO报告详情查询已经对比过的专利文件
   */
  getComparedPatent(data) {
    return axios.post("/xiaoshi/fto/getComparedPatent", data);
  },
  /**
   * FTO报告详情查询已经对比过的专利文件的对比结果
   */
  getLastRecord(params) {
    return axios.get("/xiaoshi/fto/getLastRecord", {params});
  },
  /**
   * 报告后续事项添加
   */
  addFollowUp(data) {
    return axios.post("/xiaoshi/followUp/add", data);
  },
  /**
   * 报告后续事项更新
   */
  updateFollowUp(data) {
    return axios.post("/xiaoshi/followUp/update", data);
  },
  /**
   * 报告后续事项查询
   */
  getFollowUp(data) {
    return axios.post("/xiaoshi/followUp/query", data);
  },
  /**
   * 报告后续事项删除
   */
  deleteFollowUp(data) {
    return axios.post("/xiaoshi/followUp/delete", data);
  },
  /**
   * 报告后续事项添加登记结果
   */
  addRegister(data) {
    return axios.post("/xiaoshi/followUp/register", data);
  },


  /**
   * 报告文档
   */
  /**
   * 报告文档添加
   */
  addReferences(data) {
    return axios.post("/xiaoshi/references/addReferences", data);
  },
   /**
   * 报告文档编辑
   */
  updateReferences(data) {
    return axios.post("/xiaoshi/references/updateReferences", data);
  },
   /**
   * 报告文档查询
   */
   getReferences(data) {
    return axios.post("/xiaoshi/references/getReferences", data);
  },
   /**
   * 报告文档删除
   */
   deleteReferences(data) {
    return axios.post("/xiaoshi/references/deleteReferences", data);
  },


  /**
   * 无效应对
   * 添加非专利对比文献
   */
  addNotPatent(data) {
    return axios.post("/xiaoshi/compareLiterature/addNotPatent", data);
  }, 
  /**
    * 无效应对
    * 手动批量添加对比文献接口 
  */
  batchAdd(data) {
    return axios.post("/xiaoshi/compareLiterature/batchAdd", data);
  },
  /**
    * 无效应对
    * 批量编辑对比文献接口 
  */
  updateCompareLiteratureBatch(data) {
    return axios.post("/xiaoshi/compareLiterature/updateCompareLiteratureBatch", data);
  },
  /**
    * 无效应对
    * 查询对比文献接口 
  */
  queryCompareLiterature(data) {
    return axios.post("/xiaoshi/compareLiterature/queryCompareLiterature", data);
  },
  /**
    * 无效应对
    * 删除对比文献接口 
  */
  deleteCompareLiterature(data) {
    return axios.post("/xiaoshi/compareLiterature/deleteCompareLiterature", data);
  },
  /**
    * 无效应对
    * 更新对比文献顺序接口 
  */
  updateLiteratureOrder(data) {
    return axios.post("/xiaoshi/compareLiterature/updateLiteratureOrder", data);
  },
  /**
    * 无效应对
    * 拆分权利要求并保存接口 
  */
  splitClaim(data) {
    return axios.post("/xiaoshi/patentClaim/splitClaim", data);
  }, 
   /**
    * 无效应对
    * 查询权利要求接口
  */
   queryClaim(data) {
    return axios.post("/xiaoshi/patentClaim/queryClaim", data);
  }, 
   /**
    * 无效应对
    * 添加保存权利要求接口
  */
   addClaim(data) {
    return axios.post("/xiaoshi/patentClaim/addClaim", data);
  },

   /**
    * 无效应对
    * 修改权利要求信息接口（复审委决定和法院决定）
  */
   updatePatentClaimMessage(data) {
    return axios.post("/xiaoshi/patentClaim/updateMessage", data);
  },
  
  /**
    * 无效应对
    * 查询无效事务接口
  */
  queryReportAffair(data) {
    return axios.post("/xiaoshi/reportAffair/queryReportAffair", data);
  },
  /**
      * 无效应对
      * 删除无效事务接口
    */
  deleteReportAffair(data) {
    return axios.post("/xiaoshi/reportAffair/deleteReportAffair", data);
  },
  /**
    * 无效应对
    * 添加无效请求书接口
  */
  addInvalidRequestFile(data) {
    return axios.post("/xiaoshi/reportAffair/addInvalidRequestFile", data);
  },
  /**
    * 无效应对
    * 编辑无效请求书接口
  */
  updateInvalidRequestFile(data) {
    return axios.post("/xiaoshi/reportAffair/updateInvalidRequestFile", data);
  },
/**
    * 无效应对
    * 添加口审记录接口
  */
addOralTrail(data) {
  return axios.post("/xiaoshi/reportAffair/addOralTrail", data);
},
/**
  * 无效应对
  * 编辑口审记录接口
*/
updateOralTrail(data) {
  return axios.post("/xiaoshi/reportAffair/updateOralTrail", data);
},
/**
    * 无效应对
    * 添加无效决定书接口
  */
addInvalidDecisionFile(data) {
  return axios.post("/xiaoshi/reportAffair/addInvalidDecisionFile", data);
},
/**
  * 无效应对
  * 编辑无效决定书接口
*/
updateInvalidDecisionFile(data) {
  return axios.post("/xiaoshi/reportAffair/updateInvalidDecisionFile", data);
},
/**
    * 无效应对
    * 添加行政诉讼书接口
  */
addAdminProceed(data) {
  return axios.post("/xiaoshi/reportAffair/addAdminProceed", data);
},
/**
  * 无效应对
  * 编辑行政诉讼书接口
*/
updateAdminProceed(data) {
  return axios.post("/xiaoshi/reportAffair/updateAdminProceed", data);
},
/**
    * 无效应对
    * 添加陈述意见书接口
  */
addStateOpinion(data) {
  return axios.post("/xiaoshi/reportAffair/addStateOpinion", data);
},
/**
  * 无效应对
  * 编辑陈述意见书接口
*/
updateStateOpinion(data) {
  return axios.post("/xiaoshi/reportAffair/updateStateOpinion", data);
},
/**
    * 无效应对
    * 添加行政诉讼判决书接口
  */
addAdminProceedJudgment(data) {
  return axios.post("/xiaoshi/reportAffair/addAdminProceedJudgment", data);
},
/**
  * 无效应对
  * 编辑行政诉讼判决书接口
*/
updateAdminProceedJudgment(data) {
  return axios.post("/xiaoshi/reportAffair/updateAdminProceedJudgment", data);
},
/**
  * 无效应对
  * 上传权要修改记录
*/
addPatentClaimHistory(data) {
  return axios.post("/xiaoshi/reportAffair/addPatentClaimHistory", data);
},
/**
  * 无效应对
  * 修改权要修改记录
*/
updatePatentClaimHistory(data) {
  return axios.post("/xiaoshi/reportAffair/updatePatentClaimHistory", data);
},
/**
  * 无效应对
  * 上传补充证据
*/
addSupplyEvidence(data) {
  return axios.post("/xiaoshi/reportAffair/addSupplyEvidence", data);
},
/**
  * 无效应对
  * 修改补充证据
*/
updateSupplyEvidence(data) {
  return axios.post("/xiaoshi/reportAffair/updateSupplyEvidence", data);
},


  /**
    * 无效应对
    * 添加无效法条
  */
  addInvalidStatutes(data) {
    return axios.post("/xiaoshi/invalidStatutes/addInvalidStatutes", data);
  },
  /**
    * 无效应对
    * 查询无效法条
  */
  queryInvalidStatutes(data) {
    return axios.post("/xiaoshi/invalidStatutes/queryInvalidStatutes", data);
  },
   /**
    * 无效应对
    * 删除无效法条
  */
   removeInvalidStatutes(params) {
    return axios.get("/xiaoshi/invalidStatutes/removeInvalidStatutes", {params});
  },
  /**
    * 无效应对
    * 修改无效法条信息（法院意见）
  */
  updateInvalidStatutesMessage(data) {
    return axios.post("/xiaoshi/invalidStatutes/updateMessage", data);
  },
  /**
    * 无效应对
    * 添加（修改）证据组合
  */
  addProofGroup(data) {
    return axios.post("/xiaoshi/proofGroup/addProofGroup", data);
  },
  /**
      * 无效应对
      * 查询证据组合
    */
  queryProofGroup(data) {
    return axios.post("/xiaoshi/proofGroup/queryProofGroup", data);
  },
  /**
      * 无效应对
      * 删除证据组合
    */
  removeProofGroup(data) {
    return axios.post("/xiaoshi/proofGroup/removeProofGroup", data);
  },
   /**
      * 无效应对
      * 批量保存(或编辑)第一次无效证据
    */
   addEvidenceReason(data) {
    return axios.post("/xiaoshi/evidenceReason/addEvidenceReason", data);
  },
  /**
      * 无效应对
      * 查询无效证据
    */
  queryEvidenceReason(data) {
    return axios.post("/xiaoshi/evidenceReason/queryEvidenceReason", data);
  },
   /**
      * 无效应对
      * 查询特征拆分历史
    */
   queryClaimSplitHistory(data) {
    return axios.post("/xiaoshi/feature/queryClaimSplitHistory", data);
  },
  /**
      * 无效应对
      * 查询无效记录历史
    */
  queryInvalidHistory(data) {
    return axios.post("/xiaoshi/evidenceReason/queryInvalidHistory", data);
  },

  /**
    * 无效应对
    * 修改权要
  */
  alterPatentClaim(data) {
    return axios.post("/xiaoshi/patentClaimHistory/alterPatentClaim", data);
  },
  /**
    * 无效应对
    *删除权要
  */
  deletePatentClaim(data) {
    return axios.post("/xiaoshi/patentClaimHistory/deletePatentClaim", data);
  },
  /**
    * 无效应对
    *编辑权要
  */
  editPatentClaimHistory(data) {
    return axios.post("/xiaoshi/patentClaimHistory/editPatentClaimHistory", data);
  },
  /**
    * 无效应对
    *查询权要修改历史
  */
  queryPatentClaimHistory(data) {
    return axios.post("/xiaoshi/patentClaimHistory/queryPatentClaimHistory", data);
  },
  /**
    * 无效应对
    * 取消权要修改历史
  */
  cancelRemoveClaims(params) {
      return axios.get("/xiaoshi/patentClaimHistory/cancelRemoveClaims", {params});
    },
  /**
    * 无效应对
    *修改特征
  */
  updateGroupFeature(data) {
    return axios.post("/xiaoshi/groupFeature/updateGroupFeature", data);
  },
  /**
    * 无效应对
    *删除特征
  */
  removeGroupFeature(data) {
    return axios.post("/xiaoshi/groupFeature/removeGroupFeature", data);
  },
/**
    * 无效应对
    *编辑特征
  */
  updateFeature(data) {
    return axios.post("/xiaoshi/groupFeature/updateFeature", data);
  },
  /**
    * 无效应对
    *查询特征修改历史
  */
  queryFeatureHistory(data) {
    return axios.post("/xiaoshi/groupFeature/queryFeatureHistory", data);
  },
  /**
    * 无效应对
    *取消删除特征修改历史
  */
    cancelRemoveFeature(params) {
      return axios.get("/xiaoshi/groupFeature/cancelRemoveFeature", {params});
    },
 /**
    * 无效应对
    *批量添加或更新特征
  */
    addFeatureGroupBatch(data) {
      return axios.post("/xiaoshi/groupFeature/addFeatureGroupBatch", data);
    },
  
   /**
    * 无效应对
    *查询组合详情
  */
  queryProofGroupMessage(data) {
    return axios.post("/xiaoshi/proofGroup/queryMessage", data);
  },
   /**
    * 无效应对
    *更新组合详情栏位值
  */
  updateProofGroupMessage(data) {
    return axios.post("/xiaoshi/proofGroup/updateMessage", data);
  },
 /**
    * 无效应对
    *更新特征相关栏位值
  */
  updateGroupFeatureMessage(data) {
    return axios.post("/xiaoshi/groupFeature/updateMessage", data);
  },
  /**
    * 无效应对
    *更新特征相关栏位值
  */
  updateEvidenceReasonMessage(data) {
    return axios.post("/xiaoshi/evidenceReason/updateMessage", data);
  },
  /**
    * 无效应对
    *更新报告是否第二次无效
  */
  updateIfSecondInvalid(data) {
    return axios.post("/xiaoshi/reportProject/updateIfSecondInvalid", data);
  },

  /**
    * 无效应对
    *添加或更新报告附图
  */
  updateProjectFigure(data) {
    return axios.post("/xiaoshi/projectFigure/updateProjectFigure", data);
  },
  /**
    * 无效应对
    *删除报告附图
  */
    removeProjectFigures(data) {
      return axios.post("/xiaoshi/projectFigure/removeProjectFigures", data);
    },
 /**
    * 无效应对
    *查询报告附图
  */
    queryProjectFigures(data) {
      return axios.post("/xiaoshi/projectFigure/queryProjectFigures", data);
    },


  /**
    * 稳定性分析和第三方意见
    * 添加或更新对比记录
  */
  addCompareRecord(data) {
    return axios.post("/xiaoshi/stabilityReport/addCompareRecord", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 查询单个对比文献所有的对比记录
  */
  queryCompareRecord(data) {
    return axios.post("/xiaoshi/stabilityReport/queryCompareRecord", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 删除对比记录
  */
  removeCompareRecord(data) {
    return axios.post("/xiaoshi/stabilityReport/removeCompareRecord", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 查看对比结果
  */
  queryAllCompareRecord(data) {
    return axios.post("/xiaoshi/stabilityReport/queryAllCompareRecord", data);
  },
   /**
    * 稳定性分析和第三方意见
    * 查看已经对比过的文献信息
  */
   getComparedLiteratures(params) {
    return axios.get("/xiaoshi/stabilityReport/getComparedLiteratures", {params});
  },
  /**
    * 稳定性分析和第三方意见
    * 添加对比方案
  */
  addCompareRecordGroup(data) {
    return axios.post("/xiaoshi/stabilityReport/addCompareRecordGroup", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 删除对比方案
  */
  removeCompareGroups(data) {
    return axios.post("/xiaoshi/stabilityReport/removeCompareGroups", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 查询对比方案
  */
  getCompareGroups(data) {
    return axios.post("/xiaoshi/stabilityReport/getCompareGroups", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 添加或编辑检索记录
  */
  addSearchRecord(data) {
    return axios.post("/xiaoshi/searchRecord/addSearchRecord", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 删除检索记录
  */
  removeSearchRecords(data) {
    return axios.post("/xiaoshi/searchRecord/removeSearchRecords", data);
  },
  /**
    * 稳定性分析和第三方意见
    * 查询检索记录
  */
  querySearchRecords(data) {
    return axios.post("/xiaoshi/searchRecord/querySearchRecords", data);
  },

};